Skip to main content
`Ctrl`+`K`

# PetscMemoryAccessRead

Returns `PETSC_TRUE` if a given `PetscMemoryAccessMode` includes read access

## Synopsis

    #include <petscdevicetypes.h>
    PetscBool PetscMemoryAccessRead(PetscMemoryAccessMode m)

Not Collective; No Fortran Support

## Input Parameter

- m - the `PetscMemoryAccessMode` value

## See Also

`PetscMemoryAccessMode`, `PetscMemoryAccessWrite()`

## Level

developer

## Location

include/petscdevicetypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages